#
# spec file for package python-crayons
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-crayons
Version:        0.3.0 
Release:        bp154.1.26
Summary:        Colored strings for terminal usage
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/MasterOdin/crayons
Source:         https://files.pythonhosted.org/packages/source/c/crayons/crayons-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-colorama
BuildArch:      noarch
%python_subpackages

%description
Crayons is a simple module to give you colored strings for terminal usage.
Included colors are red, green, yellow, blue, black, magenta, cyan, white,
and normal.

%prep
%setup -q -n crayons-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Feb 24 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.3.0
  * Rewrites clean to just remove ANSI codes, not whatever it was doing before (which seemed to be stripping all characters from the string)
  * Adds random function to get a random color (thanks @azillion)
  * Adds replace_color function to allow setting replacement for a given color (e.g. replace blue with magneta) (thanks @frostming)
  * Adds reset_replace_color to reset any replacement colors set
- Update URL in the spec to be correct
- Write a description
* Mon Mar  4 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.2.0
  * Add crayons.enable()
  * color funcs generated from __all__ var
  * Disable colors on TERM=dumb
* Fri May 11 2018 toddrme2178@gmail.com
- Don't forget python_module workaround.
* Mon Nov 20 2017 mimi.vx@gmail.com
- initial package
